<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>

  <!-- ========================== custom fields ================================ -->

  <CUSTOM_FIELD CF_ID="-1" FIELD_TYPE="CF" NAME="Lot" CODE="LOT" LABEL="Lot Label" INPUT_TYPE="PLAIN_TEXT" OPTIONAL="true"/>

  <CUSTOM_FIELD CF_ID="-2" FIELD_TYPE="SSF" NAME="Liste" CODE="LISTE" LABEL="Liste Label" INPUT_TYPE="DROPDOWN_LIST" OPTIONAL="false" DEFAULT_VALUE="Option1"/>

  <CUSTOM_FIELD_OPTION CF_ID="-2" CODE="OPTION1" LABEL="Option1" POSITION="0"/>
  <CUSTOM_FIELD_OPTION CF_ID="-2" CODE="OPTION2" LABEL="Option2" POSITION="1"/>
  <CUSTOM_FIELD_OPTION CF_ID="-2" CODE="OPTION3" LABEL="Option3" POSITION="2"/>
  <CUSTOM_FIELD_OPTION CF_ID="-2" CODE="OPTION4" LABEL="Option4" POSITION="3"/>

  <CUSTOM_FIELD CF_ID="-3" FIELD_TYPE="SSF" NAME="Liste 2" CODE="LISTE_2" LABEL="Liste Label 2" INPUT_TYPE="DROPDOWN_LIST" OPTIONAL="true" DEFAULT_VALUE="Option2"/>
  <CUSTOM_FIELD_OPTION CF_ID="-3" CODE="OPTION1" LABEL="Option1" POSITION="0"/>
  <CUSTOM_FIELD_OPTION CF_ID="-3" CODE="OPTION2" LABEL="Option2" POSITION="1"/>

  <CUSTOM_FIELD CF_ID="-4" FIELD_TYPE="RTF" NAME="Rich" CODE="RICH" LABEL="Rich Label" INPUT_TYPE="RICH_TEXT" OPTIONAL="false" LARGE_DEFAULT_VALUE="large default value"/>
  <CUSTOM_FIELD CF_ID="-5" FIELD_TYPE="CF" NAME="Date" CODE="DATE" LABEL="Date Label" INPUT_TYPE="DATE_PICKER" OPTIONAL="true" DEFAULT_VALUE="2017-09-18"/>

  <CUSTOM_FIELD CF_ID="-6" FIELD_TYPE="MSF" NAME="Tags" CODE="TAG" LABEL="Tag Label" INPUT_TYPE="TAG" OPTIONAL="false" DEFAULT_VALUE="lol|titi"/>
  <CUSTOM_FIELD_OPTION CF_ID="-6" CODE="" LABEL="lol" POSITION="0"/>
  <CUSTOM_FIELD_OPTION CF_ID="-6" CODE="" LABEL="toto" POSITION="1"/>
  <CUSTOM_FIELD_OPTION CF_ID="-6" CODE="" LABEL="titi" POSITION="2"/>

  <!-- ========================== projects ================================ -->

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-987" />
  <TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-987" TCL_ID="-1" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-988" />
  <CAMPAIGN_LIBRARY ATTACHMENT_LIST_ID="-988" CL_ID="-1" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-989" />
  <REQUIREMENT_LIBRARY ATTACHMENT_LIST_ID="-989" RL_ID="-1" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1" />
  <PROJECT PROJECT_ID="-1" TCL_ID="-1" CL_ID="-1" RL_ID="-1" NAME="foo" LABEL="foo label" CREATED_BY="DBU" CREATED_ON="2010-02-01"
           ATTACHMENT_LIST_ID="-1" />

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-997" />
  <TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-997" TCL_ID="-20" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-998" />
  <CAMPAIGN_LIBRARY ATTACHMENT_LIST_ID="-998" CL_ID="-2" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-999" />
  <REQUIREMENT_LIBRARY ATTACHMENT_LIST_ID="-999" RL_ID="-2" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-2" />
  <PROJECT PROJECT_ID="-2" TCL_ID="-20" CL_ID="-2" RL_ID="-2" NAME="bar" CREATED_BY="DBU" CREATED_ON="2010-02-01"
           ATTACHMENT_LIST_ID="-2" />

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-3997" />
  <TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-3997" TCL_ID="-3" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-3998" />
  <CAMPAIGN_LIBRARY ATTACHMENT_LIST_ID="-3998" CL_ID="-3" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-3999" />
  <REQUIREMENT_LIBRARY ATTACHMENT_LIST_ID="-3999" RL_ID="-3" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-3" />
  <PROJECT PROJECT_ID="-3" TCL_ID="-3" CL_ID="-3" RL_ID="-3" NAME="baz" CREATED_BY="DBU" CREATED_ON="2010-02-01"
           ATTACHMENT_LIST_ID="-3" />

  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-41" />
  <TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-41" TCL_ID="-4" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-42" />
  <CAMPAIGN_LIBRARY ATTACHMENT_LIST_ID="-988" CL_ID="-4" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-43" />
  <REQUIREMENT_LIBRARY ATTACHMENT_LIST_ID="-43" RL_ID="-4" />
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-40" />
  <PROJECT PROJECT_ID="-4" TCL_ID="-4" CL_ID="-4" RL_ID="-4" NAME="template" CREATED_BY="DBU" CREATED_ON="2010-02-01"
           ATTACHMENT_LIST_ID="-40" PROJECT_TYPE="T" />


  <!-- ========================== cuf bindings ================================ -->

  <CUSTOM_FIELD_BINDING CFB_ID="-1" CF_ID="-1" BOUND_ENTITY="TEST_CASE" POSITION="0" BOUND_PROJECT_ID="-1"/>
  <CUSTOM_FIELD_BINDING CFB_ID="-2" CF_ID="-1" BOUND_ENTITY="REQUIREMENT_VERSION" POSITION="0" BOUND_PROJECT_ID="-1"/>
  <CUSTOM_FIELD_BINDING CFB_ID="-3" CF_ID="-3" BOUND_ENTITY="REQUIREMENT_VERSION" POSITION="1" BOUND_PROJECT_ID="-1"/>
  <CUSTOM_FIELD_BINDING CFB_ID="-4" CF_ID="-1" BOUND_ENTITY="TEST_STEP" POSITION="0" BOUND_PROJECT_ID="-1"/>
  <CUSTOM_FIELD_BINDING CFB_ID="-5" CF_ID="-3" BOUND_ENTITY="TEST_STEP" POSITION="1" BOUND_PROJECT_ID="-1"/>
  <CUSTOM_FIELD_RENDERING_LOCATION CFB_ID="-4" RENDERING_LOCATION="TEST_PLAN"/>
  <CUSTOM_FIELD_RENDERING_LOCATION CFB_ID="-4" RENDERING_LOCATION="STEP_TABLE"/>
  <CUSTOM_FIELD_RENDERING_LOCATION CFB_ID="-5" RENDERING_LOCATION="STEP_TABLE"/>


  <CUSTOM_FIELD_BINDING CFB_ID="-6" CF_ID="-1" BOUND_ENTITY="REQUIREMENT_VERSION" POSITION="0" BOUND_PROJECT_ID="-2"/>
  <CUSTOM_FIELD_BINDING CFB_ID="-7" CF_ID="-2" BOUND_ENTITY="TEST_CASE" POSITION="0" BOUND_PROJECT_ID="-2"/>

</dataset>
